# Interface TestListener

All Superinterfaces:
  `TestIterationListener, TestStateListener`

@Deprecated public interface TestListener extends TestStateListener, TestIterationListener
Deprecated.
since 2.8, please use `TestStateListener` and/or `TestIterationListener`
TestListener interface is used for methods that are called at different stages of each test.

## Method Summary

### Methods inherited from interface TestIterationListener

`testIterationStart`

### Methods inherited from interface TestStateListener

`testEnded, testEnded, testStarted, testStarted`